R"(#version 330 core
// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 1) in vec2 texCoords;

//// Values that stay constant for the whole mesh.
uniform mat4 MVP;
uniform mat4 translation;

out vec2 v_texcoords;

void main(){
    // Output position of the vertex, in clip space : MVP * position
    vec4 pos = MVP * translation * vec4(vertexPosition_modelspace,1);
    gl_Position = pos;
    v_texcoords = texCoords;
})";