//
// Created by lukas on 05.02.22.
//

#ifndef OPENGLTEST_CAMERA_H
#define OPENGLTEST_CAMERA_H


class Camera {
private:
    double x, y, z, rx, ry, width, height;

    void updateCameraPos();
public:
    Camera(double width, double height);

    void setWindowSize(double width, double height);

    void setPos(double x, double y, double z);
    void addPos(double x, double y, double z);

    double getXpos();
    double getYpos();
    double getZpos();

    void setRotation(double rotx, double roty);
    void addRotaion(double rotx, double roty);

    double getxangle() const;
    double getyangle() const;
};


#endif //OPENGLTEST_CAMERA_H
