//
// Created by lukas on 04.02.22.
//
#define GL_GLEXT_PROTOTYPES

#include <GL/gl.h>
#include "Renderer.h"

void Renderer::render(const VertexArray& va, const IndexBuffer& ib, const Shader& s) {
    va.Bind();
    ib.Bind();
    s.Bind();

    glDrawElements(GL_TRIANGLES, ib.getcount(), GL_UNSIGNED_INT, nullptr);
}
