//
// Created by lukas on 04.02.22.
//

#ifndef OPENGLTEST_BASEBLOCK_H
#define OPENGLTEST_BASEBLOCK_H


#include "BlockRenderer.h"
#include "../gl/Texture.h"
#include <glm/ext/matrix_float4x4.hpp>
#include <glm/ext/matrix_transform.hpp>

class BaseBlock {
private:

    Texture *texture;
    uint xpos, ypos, zpos;
public:
    BaseBlock(uint xpos, uint ypos, uint zpos, Texture *texture);

    virtual void render();
};


#endif //OPENGLTEST_BASEBLOCK_H
